
.flash {
  width: 100%;
  display: inline-block;
  cursor: pointer;
  text-align: center;
  position: fixed;
  top: 0;
}

.invisivel {
  display: none;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}


.verde {
  background-color: green;
  border-color: green;
  color: white;
}

.vermelho {
  background-color: red;
  border-color: red;
  color: white;
}

.fade-in {
  animation: fadein 1s linear forwards;
}

.fade-out {
  animation: fadeout 1s linear forwards;
}

@keyframes fadein { from { opacity: 0; } to { opacity: 1; visibility: visible; } }

@keyframes fadeout { from { opacity: 1; } to { opacity: 0; visibility: hidden; } }

/* Buttons */

.button {
  display: inline-block;
  padding: 15px;
  border:none;
  border-radius: 8px;
  font-size: 16px;
  line-height: 16px;
  clear: #222;
  background: #ddd;
  cursor: pointer;
}

.button:hover {
  text-decoration: none;
  transition: background 0.2s ease-in-out  0s;
}

.button-big {
  padding: 25px 40px;
  font-size: 24px;
  line-height: 24px;
}

.button-blue {
  color: #ddd;
  background: #007aff;
}

.button-blue:hover {
  background: #3e9bff;
}

.button-green {
  color: #ddd;
  background: #39b54a;
}

.button-green:hover {
  background: #5ce96f;
}

.button-outline {
  border: 1px solid #fff;
  color: #fff;
  background: none;
}